Bug 1336078 - [BEAKER 22.3] add staf to harness repo
Summary: [BEAKER 22.3] add staf to harness repo
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Beaker
Classification: Retired
Component: tests
Version: develop
Hardware: Unspecified
OS: Unspecified
medium
unspecified vote
Target Milestone: ---
Assignee: beaker-dev-list
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-14 00:39 UTC by PaulB
Modified: 2016-10-26 06:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-26 06:49:44 UTC


Attachments (Terms of Use)

Description PaulB 2016-05-14 00:39:31 UTC
Description of problem:
please add staf package to harness repo for all arches  
 staf-3.4.18-4.el6eso.x86_64.rpm

Version-Release number of selected component (if applicable):
 Beaker 22.3


Actual results:
 https://beaker.engineering.redhat.com/jobs/1333058
 http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2016/05/13330/1333058/2713009/40965551/taskout.log
 ---<-snip->---
 /usr/bin/rhts-sync-set: line 71: staf: command not found
 ---<-snip->---

Expected results:
 staf command is available

Additional info:

Comment 1 Dan Callaghan 2016-05-20 22:03:18 UTC
Seems like we should make restraint-rhts require staf? I need to check how deep its dependency chain is.

Comment 2 PaulB 2016-05-23 12:33:13 UTC
(In reply to Dan Callaghan from comment #1)
> Seems like we should make restraint-rhts require staf? I need to check how
> deep its dependency chain is.

Bill,
Does that work for you?

Best,
-pbunyan

Comment 3 Dan Callaghan 2016-05-23 12:40:47 UTC
Well either way, we can add it to the harness repos... but I see that it's not packaged in Fedora. And the Brew doesn't look super to up date either... latest is staf-3.4.8-3.el6eso, which is older than the version Paul mentioned comment 0.

Bill, where have you been getting your package from? Do you have it in dist-git or can we get a copy of the SRPM to import it?

Comment 4 Bill Peck 2016-05-23 13:01:30 UTC
Artem has implemented the functionality we need from staf directly in restraint-rhts.  

It is committed to git but hasn't been pushed as a release yet.

commit 702f32a7d160b1c890b87e16fc22af507ed57f39
Author: Artem Savkov <asavkov@redhat.com>
Date:   Tue May 3 17:25:53 2016 +0200

    Switch to own remote semaphore implementation.
    
    This commit introduces a simple remote semaphore implementation that can be
    used instead of staf.


This was actually done because of a bug in staf which caused the command to hang sometimes when the network went away.

So we kill two birds with one stone..

I think the question now is do we put staf in the repo until a new release of restraint is pushed.

Comment 5 Dan Callaghan 2016-10-26 06:49:44 UTC
I think this is no longer needed, restraint has not required staf for several releases now.


Note You need to log in before you can comment on or make changes to this bug.